%define  patch_name kernel-fix-drivers-video

Name: %patch_name
Version: 2004.05.09
Release: alt1

Summary: %patch_name kernel patch - Linux video drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0 00_module_license.patch
%source  1 01_vesafb-override-sizes.patch
%source  2 02_vesafb-limit.patch
%source  3 03_rivafb-top-line-fix.patch
%source  4 04_rivafb-16bpp-fix.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
Linux video drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 03_radeonfb-Ya-Yd.patch
- Added:
  + 03_rivafb-top-line-fix.patch: fix blue line in nVidia framebuffer (rivafb)
  + 04_rivafb-16bpp-fix.patch: rivafb 16bpp text background colour fix

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 03_radeonfb-Ya-Yd.patch: add support for Radeon 9200 (Ya) and 9200 SE (Yd)
    in radeonfb

* Sun Dec 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.07-alt1
- Added:
  + 02_vesafb-limit.patch: limit vesafb video memory size to 16M to avoid
    running out of kernel address space (it is possible to override this limit
    with the 'vram' parameter if needed).

* Sun Oct 19 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.10.19-alt1
- added 01_vesafb-override-sizes.patch: allow to override logical screen resolution
  with 'video=vesa:height:<VALUE>,width:<VALUE>' boot parameter

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 00_module_license.patch: add missing MODULE_LICENSE

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- removed intelfb-makefile-fix patch (mainstream, 2.4.22)

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + intelfb-makefile-fix - fixed building intelfb module.
